﻿//!<#@ template language="C#" #>
//!<#@ samplevars Processor="DirectiveProcessor" #>
//!<# if (string.IsNullOrEmpty(Params.DavUrlPrefix) || !Params.AddRoutingConfig)  return String.Empty; #>
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace ITHit.WebDav.Server.SampleModel.Config
{
    /// <summary>
    /// Collection of <see cref="DavLocation"/> elements inside <see cref="DavLocationsSection"/>.
    /// </summary>
    [ConfigurationCollection(typeof(DavLocation))]
    public class DavLocationCollection : ConfigurationElementCollection
    {
        private static ConfigurationPropertyCollection properties = new ConfigurationPropertyCollection();

        protected override ConfigurationElement CreateNewElement()
        {
            return new DavLocation();
        }

        protected override object GetElementKey(ConfigurationElement element)
        {
            DavLocation location = (DavLocation)element;
            return location.Path;
        }

        protected override ConfigurationPropertyCollection Properties
        {
            get
            {
                return properties;
            }
        }
    }
}
